%define		real_name	Digest-BubbleBabble

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Create bubble-babble fingerprints
Name:		perl-%{real_name}
Version:	0.01
Release:	1
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/%{real_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{real_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	perl
BuildRequires:	perl

%description
Digest::BubbleBabble takes a message digest (generated by either of the MD5 or
SHA-1 message digest algorithms) and creates a fingerprint of that digest in
"bubble babble" format. Bubble babble is a method of representing a message
digest as a string of "real" words, to make the fingerprint easier to remember.
The "words" are not necessarily real words, but they look more like words than
a string of hex characters.

Bubble babble fingerprinting is used by the SSH2 suite (and, consequently, by
Net::SSH::Perl, the Perl SSH implementation) to display easy-to-remember key
fingerprints. The key (a DSA or RSA key) is converted into a textual form,
digested using Digest::SHA1, and run through bubblebabble to create the key
fingerprint.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# removing unwanted stuff
if [ -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%_libdir
%_mandir

%changelog
* Mon Apr 28 2008 Christian Wasem <wasem@ccux-linux.de> 0.01-1
- Initial release
